export declare enum ImageFormat {
    GRAY = 1,
    RGB = 3,
    RGBA = 4
}
export interface Addon {
    convertYuvToGrayscale(frame: Buffer, width: number, height: number): Uint8Array;
    convertYuvToRgb(frame: Buffer, width: number, height: number): Uint8Array;
    convertYuvToRgba(frame: Buffer, width: number, height: number): Uint8Array;
    gaussianBlur(frame: Uint8Array, width: number, height: number, kernelSize: number): Uint8Array;
    resizeImage(frame: Uint8Array, inputWidth: number, inputHeight: number, channels: number, outputWidth: number, outputHeight: number): Uint8Array;
    cropImage(frame: Uint8Array, inputWidth: number, channels: number, top: number, left: number, width: number, height: number): Uint8Array;
    resizeAndCrop(inputFrame: Uint8Array, inputWidth: number, inputHeight: number, channels: number, cropLeft: number, cropTop: number, cropWidth: number, cropHeight: number, outputWidth: number, outputHeight: number): Uint8Array;
    processImage(inputFrame: Uint8Array, inputWidth: number, inputHeight: number, channels: number, cropTop: number, cropLeft: number, cropWidth: number, cropHeight: number, resizeWidth: number, resizeHeight: number, blurRadius: number): Uint8Array;
}
